cURL
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/iam/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/iam/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/iam/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"description": "<string>",
"key": "<string>",
"label": "<string>",
"resource": {
"kind": "<string>",
"segments": [
"<string>"
],
"template": "<string>"
}
}
]
}IAM
List IAM Actions
Catalog of grantable IAM actions for the organization.
GET
/
orgs
/
{org_id}
/
iam
/
actions
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Response
Action catalog visible to this org
Grantable actions for the organization.
Show child attributes
Show child attributes
⌘I